# Uses of Interface
org.eclipse.emf.cdo.expressions.ExpressionsPackage

Packages that use ExpressionsPackage
Package
Description
org.eclipse.emf.cdo.expressions
The generated EMF API of the CDO expressions model.
org.eclipse.emf.cdo.expressions.impl
The generated EMF implementation of the CDO expressions model.
org.eclipse.emf.cdo.expressions.util
The generated EMF utilities of the CDO expressions model.

## Uses of ExpressionsPackage in org.eclipse.emf.cdo.expressions

Fields in org.eclipse.emf.cdo.expressions declared as ExpressionsPackage
Modifier and Type
Field
Description
`static final ExpressionsPackage`
ExpressionsPackage.`eINSTANCE`
The singleton instance of the package.
Methods in org.eclipse.emf.cdo.expressions that return ExpressionsPackage
Modifier and Type
Method
Description
`ExpressionsPackage`
ExpressionsFactory.`getExpressionsPackage()`
Returns the package supported by this factory.

## Uses of ExpressionsPackage in org.eclipse.emf.cdo.expressions.impl

Classes in org.eclipse.emf.cdo.expressions.impl that implement ExpressionsPackage
Modifier and Type
Class
Description
`class`
`ExpressionsPackageImpl`
An implementation of the model Package.
Methods in org.eclipse.emf.cdo.expressions.impl that return ExpressionsPackage
Modifier and Type
Method
Description
`ExpressionsPackage`
ExpressionsFactoryImpl.`getExpressionsPackage()`
`static ExpressionsPackage`
ExpressionsFactoryImpl.`getPackage()`
Deprecated.
`static ExpressionsPackage`
ExpressionsPackageImpl.`init()`
Creates, registers, and initializes the Package for this model, and for any others upon which it depends.

## Uses of ExpressionsPackage in org.eclipse.emf.cdo.expressions.util

Fields in org.eclipse.emf.cdo.expressions.util declared as ExpressionsPackage
Modifier and Type
Field
Description
`protected static ExpressionsPackage`
ExpressionsAdapterFactory.`modelPackage`
The cached model package.
`protected static ExpressionsPackage`
ExpressionsSwitch.`modelPackage`
The cached model package